ошибка обновления apt. Отсутствует файл с файлом [закрыт]

4

Итак, я недавно столкнулся с проблемой, когда пытался использовать команду «sudo apt update».

Вот полный вывод консоли:

Ign:1 http://archive.ubuntu.com/ubuntu zesty InRelease
Ign:2 http://archive.ubuntu.com/ubuntu zesty-updates InRelease
Ign:3 http://security.ubuntu.com/ubuntu zesty-security InRelease
Err:4 http://archive.ubuntu.com/ubuntu zesty Release
404  Not Found [IP: 91.189.88.161 80]
Err:5 http://archive.ubuntu.com/ubuntu zesty-updates Release
404  Not Found [IP: 91.189.88.161 80]
Err:6 http://security.ubuntu.com/ubuntu zesty-security Release
404  Not Found [IP: 91.189.91.23 80]
Reading package lists... Done
E: The repository 'http://archive.ubuntu.com/ubuntu zesty Release' 
does not have a Release file.
N: Updating from such a repository can't be done securely, and is 
therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user 
configuration details.
E: The repository 'http://archive.ubuntu.com/ubuntu zesty-updates 
Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is 
therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user 
configuration details.
E: The repository 'http://security.ubuntu.com/ubuntu zesty-security 
Release' does no longer have a Release file.
N: Updating from such a repository can't be done securely, and is 
therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user 
configuration details.

Я использую Linux ненадолго, но я все еще новичок, так что мне делать?

    
задан Eric 21.01.2018 в 17:27
источник

1 ответ

0

В основном эта ошибка возникает, когда в соответствующем репозитории отсутствует каталог, соответствующий вашей версии дистрибутива.

Частичное обходное решение, которое я использую, - это перейти на веб-сайт репо, проверяя, какая версия самая последняя, ​​и замените мой дистрибутив вручную вручную в файлах /etc/apt/sources.list.d . Затем я обновляюсь, и это работает хорошо, больше ошибок, и я могу установить программное обеспечение репо.

Однако эта ошибка является подозрительной относительно обновлений безопасности Ubuntu, и я не рекомендую использовать этот трюк для них ...

    
ответ дан Lirewyre 21.01.2018 в 18:15